/*
 * 2007-2016 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author PrestaShop SA <contact@prestashop.com>
 *  @copyright  2007-2016 PrestaShop SA
 *  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */
$(function(){
    // var baseApiUrl = 'http://test.api.globkurier.pl/v1/';
    var baseApiUrl = 'https://api.globkurier.pl/v1/';
    var mainContainer = $('#pickup-terminal-container');
    var searchTownInput = $('input[name="pickup_town"]');
    if (mainContainer.length === 0 || searchTownInput.length === 0) { return; }

    mainContainer.appendTo('.delivery-options');
    

    var _self = this;
    $('img.ajax-loader').hide();

    if (isRuchCarrierSelected() || isInpostCarrierSelected()) {
        mainContainer.show();
        var serviceCode = (isRuchCarrierSelected() ? "PACZKA_W_RUCHU" : "PACZKOMAT");
        searchTownInput.data("service-code", serviceCode);
    } else {
        mainContainer.hide();
    }
    
    /**
     * Pokazuje/ukrywa okno z wyborem paczkomatow
     * usuwa ew. informacje o wybranym paczkomacie, kiedy np. klient
     * zmieni zdanie i po wyborze paczkomatu wybierze spowrotem jakiego innego
     */
    // $('input.delivery_option_radio').change(function() {
    $(document).on('click', '.delivery-option input[type=radio]', function(){
        mainContainer.hide();
        deletePickupPoint();
        _self.inpostCarrierSelected = false;

        if ($(this).val() == (inpost_carrier_id + ',')) {
            mainContainer.show();
            searchTownInput.data("service-code", "PACZKOMAT");
        } else if ($(this).val() == (paczkaruch_carrier_id + ',')) {
            mainContainer.show();
            searchTownInput.data("service-code", "PACZKA_W_RUCHU");
        }

        return true;
    });

    function deletePickupPoint() {
        var postData = {
            id_cart: cart_id,
            ajax: 1,
            action: 'deletePickupPoint',
            token: gk_token,
        };

        var url = rest_endpoint;
        $.getJSON(url, postData);
    }


    /**
     * Pobiera z serwera globkurier.pl liste paczkomatow
     */
    $(document).on('click','button.search-button',function (e) {
        e.preventDefault();
        // var url = 'https://www.webservices.globkurier.pl/services/terminal/';
        var url = baseApiUrl + 'points';
        var town = searchTownInput.val();
        var productCode = searchTownInput.data("service-code");

        $('img.ajax-loader').show();

        getProductId(productCode, function(err, productId) {
            $.getJSON(url, {productId: productId, city: town, isCashOnDeliveryAddonSelected: false})
            .done(function (r) {
                $('select[name="pickup_point"]').find('option').remove();

                if (r.length) {
                    $('select[name="pickup_point"]').show();
                    $('div.no_inpost_point').hide();

                    var optionHtml = '<option value="0" selected>Proszę wybrać</option>';
                    $('select[name="pickup_point"]').append(optionHtml);

                    $.each(r, function (index, v) {
                        var optionHtml = '<option value="' + v.id + '">';
                        optionHtml += v.city + ' - ' + v.address;
                        optionHtml += ' [' + v.id + ']';
                        optionHtml += '</option>';
                        $('select[name="pickup_point"]').append(optionHtml);
                    });

                    $('select[name="pickup_point"]').val("0");
                } else {
                    $('select[name="pickup_point"]').hide();
                    $('div.no_inpost_point').show();
                }

                $('img.ajax-loader').hide();

            });
        });

    });

    $(document).on('change', 'select[name="pickup_point"]', function () {
        var selected_point = $('select[name="pickup_point"]').val();
        if (selected_point === 0 || selected_point == '0') { return true; }
        
        var productCode = searchTownInput.data("service-code");
        var url = rest_endpoint;
        var a = (productCode == "PACZKOMAT" ? 'saveInPostPoint' : 'savePaczkaRuchPoint');
        var postData = {
            id_cart: cart_id,
            ajax: 1,
            action: a,
            token: gk_token,
            point: selected_point
        };

        $('img.ajax-loader').show();

        $.getJSON(url, postData)
        .done(function (r) {
            
            $('img.ajax-loader').hide();

            if (!r.success) {
                alert(r.message);
                return false;
            }
        });

        return true;
    });


    /**
     * Zapisuje wybrany paczkomat przed przejsciem do kolejnego kroku
     */
    $(document).on('submit','#js-delivery',function(){

        var selected_point = $('select[name="pickup_point"]').val();

        if ((!selected_point || selected_point == '0') 
            && (isInpostCarrierSelected() || isRuchCarrierSelected())) {
            if (!!$.prototype.fancybox)
                $.fancybox.open([
                {
                    type: 'inline',
                    autoScale: true,
                    minHeight: 30,
                    content: $('.no_inpost_point_selected').html(),
                }]);
            else {
                alert($('.no_inpost_point_selected').text());
            }

            return false;
        }

        return true;
    });

    function getProductId(carrierType, callback) {
        if (['PACZKOMAT', 'PACZKA_W_RUCHU'].indexOf(carrierType) == -1) return callback("Invalid carrier type");
        var url = baseApiUrl + 'products';
        var dummyParams = {
          length: 10,
          width: 10,
          height: 10,
          weight: 2,
          quantity: 1,
          senderCountryId: 1,
          receiverCountryId: 1,
        };

        $.getJSON(url, dummyParams).done(function (r) {
            for (var i = r.standard.length - 1; i >= 0; i--) {
                var product = r.standard[i];
                if (product.labels.indexOf(carrierType) != -1) return callback(null, product.id);
            }
        }).fail(function (r) {
            return callback("error");
        });
    }

    function isInpostCarrierSelected() {
        return ($('input[value="' + inpost_carrier_id + ',"]').length > 0 && $('input[value="' + inpost_carrier_id + ',"]').is(':checked')) ? true : false;
    }

    function isRuchCarrierSelected() {
        return ($('input[value="' + paczkaruch_carrier_id + ',"]').length > 0 && $('input[value="' + paczkaruch_carrier_id + ',"]').is(':checked')) ? true : false;
    }
    
});