{*
* 2007-2016 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2016 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
<div id="pickup-terminal-container" class="">
    <div>
        <table class="resume table table-bordered">
            <tbody>
                <tr>
                    <td style="width: 30%">
                        {l s='Type a name of your city and select parcel point closest to you' mod='globkurier2'}<br/>
                        <div class="input-group">
                            <input type="text" name="pickup_town" class="form-control" />
                            <div class="input-group-btn">
                                <button class="btn btn-default search-button">{l s='Search' mod='globkurier2'}</button>
                            </div>
                        </div>
                    </td>
                    <td style="width: 70%">
                        {l s='Found inPost parcel points' mod='globkurier2'}<br/>
                        <select class="" name="pickup_point">
                            <option value="0">{l s='Please use the search' mod='globkurier2'}</option>
                        </select>
                        <div class="no_pickup_point" style="display: none;">
                            <i class="icon-warning"></i> {l s='Unfortunately, we did not find any parcel machines in given city' mod='globkurier2'}
                        </div>
                        <img class="ajax-loader" src="img/loader.gif" style="display: none;" />
                    </td>
                        
                </tr>
            </tbody>
        </table>
    </div>
    <div class="no_pickup_point_selected" style="display: none;">
        <p><i class="icon-warning"></i> {l s='Please pick parcel point' mod='globkurier2'}</p>
    </div>
    
</div>

<script type="text/javascript">
    var inpost_carrier_id = {$inpost_carrier_id|escape:'javascript':'UTF-8'};
    var paczkaruch_carrier_id = {$paczkaruch_carrier_id|escape:'javascript':'UTF-8'};
    var cart_id = {$cart_id|escape:'javascript':'UTF-8'};
    var gk_token = '{$gk_token|escape:'javascript':'UTF-8'}';
    var rest_endpoint = '{$rest_endpoint|escape:'javascript':'UTF-8'}';

    $(function(){
        /**
         * Jesli domyslnie jest ustawiony dostawca inpost, to pokaz wyszukiwarke punktow
         * Instrukcja musi być tutaj, ponieważ prestaShop, przy każdorazowym wyborze przewoźnika
         * ładuje jeszcze raz cały ten szablon
         */
        var inpostSelected = ($('input[value="' + inpost_carrier_id + ',"') && $('input[value="' + inpost_carrier_id + ',"').attr('checked')) ? true : false;
        var ruchSelected = ($('input[value="' + paczkaruch_carrier_id + ',"').length && $('input[value="' + paczkaruch_carrier_id + ',"').attr('checked')) ? true : false;

        if (inpostSelected || ruchSelected) {
            $('#pickup-terminal-container').show();
            var serviceCode = (ruchSelected ? "PACZKA_W_RUCHU" : "PACZKOMAT");
            $('input[name="pickup_town"]').data("service-code", serviceCode);
        } else {
            $('#pickup-terminal-container').hide();
        }
    });
</script>
 